#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

# Because of missing cmake(KF5Libkdepim) on armv5
ExcludeArch:    armv5tl

%global __requires_exclude devel\\(libKF5
%define _cmake_skip_rpath %nil

%define rel 1
%define subrel 1

Name:           akregator
Summary:        A Feed Reader for KDE
Epoch:          2
Version: 19.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            http://utils.kde.org/projects/kdepim
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

## Upstream patches
# https://phabricator.kde.org/D21236
Patch1:         0001-Fix-crashes-with-Qt-5.12.patch

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5Notifications)

BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5GrantleeTheme) >= 5.3.3
BuildRequires:  cmake(KF5KontactInterface) >= 5.3.90
BuildRequires:  cmake(KF5Libkdepim) >= 5.3.90
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MessageViewer) >= 5.3.90
BuildRequires:  cmake(KF5Syndication) >= 5.3.90

BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(Grantlee5)

Requires:       qtwebengine5
Requires:       libkdepim

Recommends:     akregator-handbook
Conflicts:      kdepim4-devel < 2:4.6.90-2
Conflicts:      kontact < 2:16.04.3-3

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -f %name.lang
%_kf5_sysconfdir/xdg/akregator.categories
%_kf5_sysconfdir/xdg/akregator.renamecategories
%_kf5_bindir/akregator
%_kf5_bindir/akregatorstorageexporter
%_qt5_plugindir/akregator*
%_kf5_datadir/akregator
%_kf5_datadir/applications/org.kde.akregator.desktop
%_kf5_datadir/appdata/org.kde.akregator.appdata.xml
%_kf5_datadir/config.kcfg/akregator.kcfg
%_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_kf5_datadir/knotifications5/akregator.notifyrc
%_kf5_services/akregator_*
%_kf5_datadir/kservicetypes5/akregator_plugin.desktop
%_kf5_services/feed.protocol
%_kf5_datadir/kconf_update/akregator*
%_kf5_iconsdir/*/*/*/akregator*.*
# Kontact integration
%_qt5_plugindir/kontact_akregatorplugin.so
%_kf5_services/kontact/akregatorplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/akregator.setdlg

#------------------------------------------------------------------------------

%define akregatorinterfaces_major 5
%define libakregatorinterfaces %mklibname akregatorinterfaces %akregatorinterfaces_major

%package -n %libakregatorinterfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorinterfaces
KDEPIM library.

%files -n %libakregatorinterfaces
%_kf5_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}{,.*}

#------------------------------------------------------------------------------

%define akregatorprivate_major 5
%define libakregatorprivate %mklibname akregatorprivate %akregatorprivate_major

%package -n %libakregatorprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorprivate
KDEPIM library.

%files -n %libakregatorprivate
%_kf5_libdir/libakregatorprivate.so.%{akregatorprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary:        Akregator handbook
Group:          Documentation
BuildArch:      noarch
Requires:       akregator >= %{epoch}:%{version}-%{release}
Conflicts:      akregator < 2:4.7.1

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kf5_docdir/HTML/*/akregator

#------------------------------------------------------------------------------

%define akregator_devel %mklibname akregator -d

%package -n %akregator_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libakregatorprivate = %epoch:%version-%release
Requires:       %libakregatorinterfaces = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %akregator_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akregator_devel
%_kf5_libdir/libakregatorinterfaces.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name


%changelog
* Fri Oct 04 2019 daviddavid <daviddavid> 2:19.04.0-1.1.mga7
+ Revision: 1449235
- add upstream patch to fix crashes with Qt 5.12 (kde#371511) (mga#25524)

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390358
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387562
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381220
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375434
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365477
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356412
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339426
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332657
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327310
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1294248
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228863
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201807
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194831
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191191
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142948
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136650
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131829
- New version 17.04.3

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1092003
- Exclude on armv5
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1078086
- Rebuild against kdepim stack
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-3.mga6
+ Revision: 1076139
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Fri Dec 16 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075646
- Rebuild for release
- imported package akregator

